package main

import (
	"fmt"
	"os"
	"strings"
)

func main() {
	path := os.Getenv("PATH")
	entries := make(map[string]bool)
	var bld strings.Builder
	prefix := ""
	for {
		index := strings.Index(path, ":")
		var entry string
		if index >= 0 {
			entry = path[:index]
		} else {
			entry = path
		}
		if !entries[entry] {
			entries[entry] = true
			bld.WriteString(prefix)
			prefix = ":"
			bld.WriteString(entry)
		}
		if index < 0 {
			break
		} else {
			path = path[index+1:]
		}
	}
	fmt.Printf("%s", bld.String())
}
